$!  Make_VMS.com
$!
$!  Build the WUsage program for a VMS system from the C sources.
$!
$!  This will determine if you are on a VAX or an Alpha automagically.
$!  For a VAX, it assumes you are still using VAX C
$!
$!  Written By: Rick Dyson (rick-dyson@uiowa.edu)
$!  Last Modified: 27-JAN-1996 RLD
$!
$
$ LFlags = "/NoDebug /NoTrace /NoMap /Executable = WUSAGE.EXE"
$ If F$GetSyi ("HW_MODEL") .gt. 1023 
$   Then
$       Define /NoLog Sys DECC$Library_Include
$       COpts = "/NoDebug /Optimize /NoList /Standard = VAXC"
$       LOpts = ""
$       Write Sys$Output "DECC with the VAXC standard..."
$   Else        ! Using a VAX
$       ! check for DEC C. if DEC C use the VAX C option
$       If F$Search ("Sys$System:DECC$Compiler.exe") .nes. ""
$           Then
$               COpts = "/VAXC /NoDebug /Optimize /NoList"
$               LOpts = ",Sys$Library:VAXCRTL.OLB/Library"
$               Write Sys$Output "Using VAXC..."
$           Else
$               COpts = "/NoDebug /Optimize /NoList"
$               LOpts = ",Sys$Library:VAXCRTL.OLB/Library"
$               Write Sys$Output "Using VAXC..."
$       Endif
$       Define /NoLog Sys Sys$Library
$ EndIf
$
$ Write Sys$Output "Starting Compile of all WUsage files..."
$ CC 'COpts' wusage.c
$ CC 'COpts' configure.c
$ CC 'COpts' graph.c
$ CC 'COpts' gd.c
$ CC 'COpts' chart.c
$
$ Write Sys$Output "Linking WUsage..."
$ Link 'LFlags' wusage,configure,graph,gd,chart'LOpts'
$ Write Sys$Output "Successful build of WUsage v3.2 for VMS..."
$
$ Exit
